---
title: General, non-uibuilder-specific function Library
description: >
   Utility library containing methods that support UIBUILDER. The methods it contains are not generic and will require references to Node-RED objects to be passed.
created: 2021-06-27 21:35:00
lastUpdated: 2023-11-10 15:46:23
---

`nodes/libs/uiblib.js`

## Dependencies

* fs-extra
* nanoid
* path

## Variables

None

## Functions/Methods

### getProps
### getSource - Updates a node with the actual value of a typed input field (async)
### inputHandler
### processClose
### sendControl
### setNodeStatus

### readGlobalSettings - DEPRECATED in v2.0

### updGlobalSettings  - DEPRECATED in v2.0

### addVendorPath - TO RENAME to addPackage

